# Live Lista Zakupów

Aplikacja webowa do współdzielonych list zakupów z obsługą wielu użytkowników, trybem współpracy w czasie rzeczywistym, panelami administracyjnymi oraz możliwością załączania paragonów.

## Funkcje

- Tworzenie, edycja i archiwizacja list zakupów
- Dodawanie, edycja, usuwanie produktów i oznaczanie ich jako kupione
- Udostępnianie list przez link (token)
- Wgrywanie zdjęć paragonów do listy zakupów
- Wyszukiwarka produktów i podpowiedzi
- Komentarze do produktów
- Panel administracyjny (zarządzanie użytkownikami, listami, paragonami)
- Obsługa w czasie rzeczywistym (Socket.IO)
- Logowanie i autoryzacja użytkowników
- Systemowe hasło dostępu do aplikacji

## Wymagania

- Docker
- Docker Compose

## Sposób uruchomienia z Docker Compose

1. **Przygotuj plik `.env` w katalogu głównym projektu** (przykład):

`APP_PORT=8000`

`SECRET_KEY=twoj_super_tajny_klucz`

`SYSTEM_PASSWORD=haslo_do_aplikacji`

`DEFAULT_ADMIN_USERNAME=admin`

`DEFAULT_ADMIN_PASSWORD=admin123`

2. **Uruchom aplikację:**

Domyślnie aplikacja będzie dostępna pod adresem:  
**http://localhost:8000**

3. **Pierwsze logowanie:**
- Po wejściu na stronę zostaniesz poproszony o podanie hasła systemowego (`SYSTEM_PASSWORD`).
- Przy pierwszym uruchomieniu zostanie automatycznie utworzone konto administratora na podstawie zmiennych `DEFAULT_ADMIN_USERNAME` i `DEFAULT_ADMIN_PASSWORD`.

## Domyślne dane logowania

- **Login administratora:** `admin` (lub wartość z `DEFAULT_ADMIN_USERNAME`)
- **Hasło administratora:** `admin123` (lub wartość z `DEFAULT_ADMIN_PASSWORD`)

4. **Aby uruchomić aplikację w Dockerze, wykonaj następujące kroki:**

* Przygotuj plik .env w katalogu projektu z wymaganymi zmiennymi środowiskowymi
* Uruchom aplikację poleceniem:
docker compose up --build

---


