// --- Automatyczny reconnect po powrocie do karty/przywróceniu internetu ---
function reconnectIfNeeded() {
    if (!socket.connected) {
        socket.connect();
    }
}

document.addEventListener("visibilitychange", function() {
    if (!document.hidden) {
        reconnectIfNeeded();
    }
});

window.addEventListener("focus", function() {
    reconnectIfNeeded();
});

window.addEventListener("online", function() {
    reconnectIfNeeded();
});

// --- Toasty przy rozłączeniu i połączeniu ---
let firstConnect = true;

socket.on('connect', function() {
    if (!firstConnect) {
        showToast('Połączono z serwerem! 🔄', 'info');
        // Automatyczne ponowne dołączenie do pokoju
        if (window.LIST_ID && window.usernameForReconnect) {
            console.log('Ponownie wysyłam join_list:', window.LIST_ID, window.usernameForReconnect);
            socket.emit('join_list', { room: window.LIST_ID, username: window.usernameForReconnect });
        }
    }
    firstConnect = false;
});

socket.on('disconnect', function(reason) {
    showToast('Utracono połączenie z serwerem...', 'warning');
});
